curl --request GET \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/roles \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.723Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "14f5a115-52d0-4466-baff-740447a60774",
"delegationId": "2sf90da4-0634-40b9-abf5-6e97a222rds8",
"delegationRoleId": "7sf90da4-0634-40b9-abf5-6e97a222ttt8",
"designeeRecipientType": "PERSONNEL_IN_POSITION",
"isAutoIssue": false,
"updatedAt": "2025-03-05T11:49:50.577Z",
"createdAt": "2025-03-05T11:49:50.577Z",
"roleDesignees": [],
"roleDetails": {
"id": "a97bbbc4-1415-4131-81fb-761fd111f370",
"roleId": "10df93d6-4e88-40f9-b46a-1676017451ba",
"roleName": "Informed",
"roleStatus": "ASSIGNED",
"roleRequirement": "Lorem ipsum is a dummy requirement",
"isCascade": false,
"isDeleted": false,
"createdAt": "2025-03-19T14:45:37.301Z",
"updatedAt": "2025-03-19T14:45:37.301Z"
}
}
]
}
}curl --request GET \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/roles \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.723Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "14f5a115-52d0-4466-baff-740447a60774",
"delegationId": "2sf90da4-0634-40b9-abf5-6e97a222rds8",
"delegationRoleId": "7sf90da4-0634-40b9-abf5-6e97a222ttt8",
"designeeRecipientType": "PERSONNEL_IN_POSITION",
"isAutoIssue": false,
"updatedAt": "2025-03-05T11:49:50.577Z",
"createdAt": "2025-03-05T11:49:50.577Z",
"roleDesignees": [],
"roleDetails": {
"id": "a97bbbc4-1415-4131-81fb-761fd111f370",
"roleId": "10df93d6-4e88-40f9-b46a-1676017451ba",
"roleName": "Informed",
"roleStatus": "ASSIGNED",
"roleRequirement": "Lorem ipsum is a dummy requirement",
"isCascade": false,
"isDeleted": false,
"createdAt": "2025-03-19T14:45:37.301Z",
"updatedAt": "2025-03-19T14:45:37.301Z"
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Page number
x >= 11
Number of items per page
1 <= x <= 10010
Role of role Delegation.
Status of role Delegation.
Criteria for sorting delegation role list
roleName, roleStatus, roleRequirement, updatedAt Criteria for order delegation role list
asc, desc Was this page helpful?